Summary:	Hard disk primary partition table reconstruction
Name:		gpart
Version:	0.1h
Release:	%mkrel 12
License:	GPLv2+
Source0:	%{name}-%{version}.tar.bz2
Group:		System/Kernel and hardware
URL:		http://home.pages.de/~michab/gpart/
Patch0:		gpart-0.1h-mdkconf.patch
Patch1:		gpart-errno.patch
Patch2:		gpart-0.1h-fixes.patch
# Fedora patches
Patch100:	gpart-0.1h-cflags.patch
Patch101:	gpart-0.1h-errno.patch
Patch102:	gpart-0.1h-largefile.patch
Patch103:	gpart-0.1h-makefile.patch
Patch104:	gpart-0.1h-syscall.patch
Patch105:	gpart-0.1h-varname.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
A tool which tries to guess the primary partition table of a PC-type hard disk
in case the primary partition table in sector 0 is damaged, incorrect or
deleted. The guessed table can be written to a file or device. Supported
(guessable) filesystem or partition types: DOS/Windows FAT, Linux ext2 and
swap, OS/2 HPFS, Windows NTFS, FreeBSD and Solaris/x86 disklabels, Minix FS,
QNX 4 FS, Reiser FS, LVM physical volumes, BeOS FS, SGI XFS.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .fixes
%patch100 -p1 -b .varname
%patch101 -p1 -b .cflags
%patch102 -p1 -b .errno
%patch103 -p1 -b .syscall
%patch104 -p1 -b .largefile
%patch105 -p1 -b .makefile

%build
%make 

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man8

install -m0755 src/%{name} %{buildroot}%{_bindir}/
install -m0755 man/%{name}.8 %{buildroot}%{_mandir}/man8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/%{name}
%{_mandir}/man8/*



%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1h-12mdv2010.0
+ Revision: 425020
- rebuild

* Thu Apr 09 2009 Funda Wang <fundawang@mandriva.org> 0.1h-11mdv2009.1
+ Revision: 365301
- rediff syscall patch

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1h-11mdv2009.0
+ Revision: 221098
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1h-10mdv2008.1
+ Revision: 150229
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.1h-9mdv2008.0
+ Revision: 91493
- sync patches with fedora (various useful fixes, including one to fix build)
- rebuild for 2008
- don't package COPYING
- new license policy


* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1h-7mdv2007.1
+ Revision: 145247
- Import gpart

* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1h-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Wed Feb 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.1h-6mdk
- rebuild

